Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector.path.cache
Class PathRepositoryCache

    java.lang.Object
      org.modeshape.graph.connector.path.cache.PathRepositoryCache

    @ThreadSafe
    public class PathRepositoryCache

extends Object

The repository-source level cache of workspace names to `workspace caches`.

This object gets created for each repository whenever the `cache policy` is set. When the cache policy is modified, the old `PathRepositoryCache` is `closed` after the new path repository cache is created.

Constructor Summary
`PathRepositoryCache(PathCachePolicy policy)`

Method Summary
`void` | `close()`
`WorkspaceCache` | `getCache(String workspaceName)` Gets the cache for the named workspace, creating a cache if necessary.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathRepositoryCache

    public PathRepositoryCache(PathCachePolicy policy)

Method Detail

### close

    public void close()

### getCache

    public WorkspaceCache getCache(String workspaceName)

  Gets the cache for the named workspace, creating a cache if necessary. Subsequent calls to this method with the same workspace name must return the exact same cache instance.

  Parameters:
    `workspaceName` - the name of the workspace for which the cache should be returned.
  Returns:
    the cache instance associated with the workspace; never null
  Throws:
    `IllegalStateException` - if no cache exists for this workspace and an instance of the `cache class from the policy` cannot be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.